Bug 486369 - Build WTP (Web Tools) -- http://www.eclipse.org/webtools/
Build WTP (Web Tools) -- http://www.eclipse.org/webtools/
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse-birt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 486367
  Show dependency treegraph
 
Reported: 2009-02-19 09:41 EST by Andrew Overholt
Modified: 2011-10-07 18:08 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-07 18:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2009-02-19 09:41:33 EST
In order to build all of BIRT, we need to build WTP.  I believe I have an old RHDS .spec we can use if we need to but RPM Stubby will probably do a better job.

Upstream:

http://www.eclipse.org/webtools/
Comment 1 Andrew Overholt 2009-02-19 10:09:05 EST
There appears to be a PLD spec (which doesn't build but just installs) here:

http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SPECS/eclipse-wtp.spec?rev=1.10;content-type=text%2Fplain
Comment 2 Andrew Overholt 2009-02-19 10:11:19 EST
I've put up an old SRPM and .spec I found:

http://overholt.fedorapeople.org/eclipse-webtools-1.5.0-2.fc10.src.rpm
http://overholt.fedorapeople.org/eclipse-webtools.spec

There's work to be done, but they may give someone a head start.
Comment 3 Andrew Overholt 2009-03-10 16:04:37 EDT
If any of the new CCs (or anyone) wants to package this for Fedora, contact me offline and I can help you out.
Comment 4 Murray Cumming 2009-03-17 13:08:08 EDT
It would be nice to have webtools adapted for Eclipse on Fedora. The default webtools from the Eclipse update system assumes an all-in-one-directory install of tomcat, preventing its use.
Comment 5 Andrew Overholt 2009-03-17 13:17:56 EDT
Murray!  :)

I was unaware of the all-in-one-directory Tomcat thing.  Hopefully it isn't too big of a deal to work around for whoever picks this up.
Comment 6 Guido Grazioli 2009-03-17 13:35:29 EDT
Which wtp version would be a good candidate, 3.0.3?  3.0.2 has a nasty bug in jsp validation.

About tomcat, having all-in-one directories dropped in /usr/local might not be that bad, in particular when in your development system you need many versions of various application servers, not wanting them installed system-wise.
Comment 7 Andrew Overholt 2009-03-17 13:47:28 EDT
(In reply to comment #6)
> Which wtp version would be a good candidate, 3.0.3?  3.0.2 has a nasty bug in
> jsp validation.

Mads said he was looking into it and I believe he's looking at 3.0.4.

> About tomcat, having all-in-one directories dropped in /usr/local might not be
> that bad, in particular when in your development system you need many versions
> of various application servers, not wanting them installed system-wise.  

We can't have it not work with the system-installed Tomcat, though.  It should work with both types of installations.
Comment 8 Andrew Overholt 2009-03-17 13:48:23 EDT
Since others are interested in this, perhaps working together would be a decent idea?  Mads is the only one who's emailed me but maybe sharing work in some SCM system or something would be good.  I can see if I can arrange something with Fedora Hosted if anyone's interested.
Comment 9 Mads Villadsen 2009-03-17 14:42:59 EDT
I have been trying to get it to compile using the instructions found here:

http://wiki.eclipse.org/WTP/Build/WTP_Batch_Build

but so far I haven't had any luck. And it hasn't even gotten to the compile stage yet.

It fails due to not being able do download certain files. Even though I have told the script to build R3.0-I (which if I understand correctly should currently get me 3.0.4) it looks like it is trying to pull down files related to R35_M5.

Andrew suggested that as an alternative all the files could be downloaded and built using pdebuild.

I think a Fedora Hosted thing sounds like a good idea. At the moment I am leaning towards pdebuild since I can't figure out how the wtp build system is supposed to work.
Comment 10 Mads Villadsen 2009-03-17 14:46:30 EDT
When we get 3.0.4 built it probably makes sense to start looking at the 3.5 milestone versions as well, since it is supposed to be released in the final version sometime in June.
Comment 11 Guido Grazioli 2009-03-17 21:59:12 EDT
(In reply to comment #9)

> It fails due to not being able do download certain files. Even though I have
> told the script to build R3.0-I (which if I understand correctly should
> currently get me 3.0.4) it looks like it is trying to pull down files related
> to R35_M5.

you should try R3.0-M (maintenance for 3.0 = 3.0.4); integration builds are just a bit more stable than nightly builds (ant gets sub-project versions tagged by developers as suitable for integration instead of head).
Comment 12 Andrew Overholt 2009-03-18 10:20:11 EDT
I submitted a request for a space at Fedora Hosted for everyone to use:

https://fedorahosted.org/fedora-infrastructure/ticket/1276

For all of us to be able to contribute, we'll all need to have Fedora accounts.  If you're interested in helping, please create one.  Go here and click the "New Account" button:

https://admin.fedoraproject.org/accounts/

After you create your account, please be sure to sign the CLA (if you click on the "My Account" link in the top right, you should see CLA: CLA Done).
Comment 13 Mads Villadsen 2009-03-21 04:24:51 EDT
Going with the maintenance build got me a bit further along.

However now I end up with the following error:

[build-wtp-wst] /home/maxx/Download/TEMP/webtools/projectBuilders/wtp-R3.0-M/webtools.releng/releng.wtpbuilder/components/wst/dependency.xml:58: The following error occurred while executing this line:
[build-wtp-wst] /home/maxx/Download/TEMP/webtools/projectBuilders/wtp-R3.0-M/webtools.releng/releng.wtpbuilder/components/wst/dependency.xml:81: The following error occurred while executing this line:
[build-wtp-wst] /home/maxx/Download/TEMP/webtools/projectBuilders/wtp-R3.0-M/webtools.releng/releng.wtpbuilder/scripts/dependency/build.xml:243: The following error occurred while executing this line:
[build-wtp-wst] /home/maxx/Download/TEMP/webtools/projects/wtp-R3.0-M/workdir/dependency.eclipse.xml:163: The dependent file Eclipse SDK v3.4.2 is not a supported os-ws-arch. Did you set baseos, basews,baesarch and make use your dependency.file property matches it.
[build-wtp-wst] 
[build-wtp-wst] Total time: 1 minute 10 seconds

I have been looking for a suitable place to set baseos, basews, and basearch, but I haven't found the place yet.

I assume I should set baseos=linux basearch=i386 but what should basews? And where should I specify them?
Comment 14 Guido Grazioli 2009-03-21 11:53:19 EDT
(In reply to comment #13)

> I assume I should set baseos=linux basearch=i386 but what should basews? And
> where should I specify them?  

basews should be "gtk" or "wtk" afaik; are you using packaged or vanilla ant?
which version?
Comment 15 Guido Grazioli 2009-03-21 13:04:46 EDT
and basearch is 'x86' not 'i386'
Comment 16 Guido Grazioli 2009-03-21 18:10:56 EDT
Here are the property files i used to get the jars built:
http://guidograzioli.fedorapeople.org/wtp

Beware that the build dir will grow up to 1.1 gB, and it takes 40 minutes on my laptop at 1.6 Ghz (not considering cvs checking out time)

The process fails in one of the last steps (building distribution site)

Note that i had to add :
193.1.193.66    umn.dl.sourceforge.net
in /etc/hosts (the DITA package seems to be unavailable in that mirror and i didnt find another way to workaround that, above ip is heanet; probably not a persistent issue)

Hope that helps, cheers.
Comment 17 Andrew Overholt 2009-03-21 22:13:12 EDT
Yeah, you want linux gtk x86 as baseos, basews, basearch.  As for Guido's issue of it failing building the update site, how did it fail?  We don't care 'cause all we want is a zip includes features and plugins.  Also, building with the ant that's included in Fedora is required :)
Comment 18 Andrew Overholt 2009-03-24 19:21:47 EDT
David Williams, the WTP lead, 

Those interested in helping with this should apply for membership in the following FAS (Fedora Account System) group:

svneclipse-wtp

I'll approve membership and then you will be able to use:

 Authenticated SVN: svn+ssh://svn.fedorahosted.org/svn/eclipse-wtp
 Anonymous SVN: svn://svn.fedorahosted.org/eclipse-wtp
Comment 19 Andrew Overholt 2009-03-24 19:25:55 EDT
Oops, my last comment got cut off.  David Williams, the WTP lead, asked me how this was going.  He said he'd keep the DITA issue in the back of his mind.  He also said the building of the "distribution site" (not an Eclipse update site like I thought) should work since it's just the test results, etc.  Maybe it's doing some weird PHP work or something?
Comment 20 Guido Grazioli 2009-03-25 06:01:10 EDT
(In reply to comment #19)
> Oops, my last comment got cut off.  David Williams, the WTP lead, asked me how
> this was going.  He said he'd keep the DITA issue in the back of his mind.  He
> also said the building of the "distribution site" (not an Eclipse update site
> like I thought) should work since it's just the test results, etc.  Maybe it's
> doing some weird PHP work or something?  

this is the error i get during the ant target "createSiteFiles", a couple of steps after building jars:

[build-wtp-wst] /home/makerpm/wtp/projectBuilders/wtp-R3.0-M/webtools.releng/releng.wtpbuilder/scripts/build/buildutilities.xml:689: /home/makerpm/wtp/projects/wtp-R3.0-M/workdir/maps/webtools.maps/releng/sitefile/site.xml doesn't exist

site.xml *should* be the file containing package metadata for the update site definition (not sure about that, but under webtools.maps there are other site.xml files listing features and plugins).
Comment 21 Andrew Overholt 2009-03-26 18:24:06 EDT
So site.xml somehow isn't being fetched?  Odd.  Maybe you can see why it's not in whatever got checked out of CVS.
Comment 22 Andrew Overholt 2009-04-05 18:14:27 EDT
>  Authenticated SVN: svn+ssh://svn.fedorahosted.org/svn/eclipse-wtp
>  Anonymous SVN:

Anonymous access is actually:

svn co http://svn.fedorahosted.org/svn/eclipse-wtp

(Note:  there's nothing there yet :)
Comment 23 Andrew Overholt 2009-04-17 11:00:30 EDT
Does anyone have anything blocking them here?  Anything I can help with?
Comment 24 Bug Zapper 2009-06-09 07:31:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Alexander Kurtakov 2009-06-15 03:15:52 EDT
This bug should stay in rawhide.
Comment 26 Michel Alexandre Salim 2009-09-30 22:31:15 EDT
Cc:ing myself, this prevents the Android SDK from being installed (unless the upstream update site is enabled to pull in the WST XML editor)
Comment 27 Bug Zapper 2009-11-16 04:48:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Levente Farkas 2009-11-23 08:48:00 EST
what's the state of wtp? i saw that bird already in fedora while wtp is not? how can it be possible since bird depend on wtp?
Comment 29 Alexander Kurtakov 2009-11-23 09:01:19 EST
There is still noone that spent the time to package on wtp :(
eclipse-birt contains only the parts of birt that do not depend on wtp.
Comment 31 Phil Anderson 2010-08-19 02:14:36 EDT
This bug is still valid in Fedora 13 & development.

This is a prereq for Android development in Eclipse, and has to be manually installed.  It would be nice to have it packaged.
Comment 32 Alexander Kurtakov 2010-08-19 04:11:24 EDT
Adding FutureFeature and setting version to rawhide.
We(active Eclipse+plugins maintainers) have more than we can handle on our plate. We have to take care of the whole Java stack upto Eclipse. Unless there is some external help either by packaging wtp or offloading some of the maintenance burden down the stack it is not going to happen anytime soon.
Comment 33 Andrew Overholt 2010-08-19 08:40:46 EDT
Note that for the Android case all one has to do is add the main Galileo or Helios repository and the Android repository and everything will install in Eclipse.

For the Android case, I think it's only some org.eclipse.wst bundle that's needed so perhaps a sub-set of WTP could be packaged that would allow for people to install the Android tools without having to add two update sites.
Comment 34 Andrew Overholt 2011-01-05 11:43:31 EST
I see some new people on CC.  Happy new year and welcome.  The offer still stands for anyone interested in collaborating on this:

Those interested in helping with this should apply for membership in the
following FAS (Fedora Account System) group:

svneclipse-wtp

I'll approve membership and then you will be able to use:

 Authenticated SVN: svn+ssh://svn.fedorahosted.org/svn/eclipse-wtp
 Anonymous SVN: svn://svn.fedorahosted.org/eclipse-wtp

and:

I've put up an old SRPM and .spec I found:

http://overholt.fedorapeople.org/eclipse-webtools-1.5.0-2.fc10.src.rpm
http://overholt.fedorapeople.org/eclipse-webtools.spec

There's work to be done, but they may give someone a head start.
Comment 35 d. johnson 2011-01-31 22:36:26 EST
Run:

koji build dist-f14 --scratch --arch=x86_64 eclipse-webtools-1.5.0-2.fc10.src.rpm

Result:

DEBUG util.py:247:  Getting requirements for eclipse-webtools-1.5.0-2.fc14.src
DEBUG util.py:247:   --> java-1.5.0-gcj-devel-1.5.0.0-34.fc14.x86_64
DEBUG util.py:247:   --> 1:eclipse-pde-3.6.1-6.1.fc14.x86_64
DEBUG util.py:247:   --> eclipse-gef-3.6.1-1.fc14.noarch
DEBUG util.py:247:  Error: No Package found for eclipse-ve-jem >= 1.2.0
DEBUG util.py:320:  Child returncode was: 1


Looks like this package fails to build due to missing deps.

Fedora 10 went EOL about 13 months ago.

Is there an updated package that still builds under a supported release?
Comment 36 Andrew Overholt 2011-02-01 00:08:29 EST
I'd be surprised if that old SRPM I put up built on any recent Fedora versions.  This is still a helpwanted bug and if anyone is interested, please look up in the comments for a headstart.
Comment 37 Alexander Kurtakov 2011-10-07 18:08:52 EDT
wtp-commons and wtp-sourceediting are already in. As sourceediting is one of the major modules I'm closing this one. It has been proven that it's not that hard and it's just a matter of adding the modules one would need.

Note You need to log in before you can comment on or make changes to this bug.